#!/bin/bash

pushd `dirname $0` > /dev/null
RUNDIR=`pwd`
WORKDIR="$(dirname ${RUNDIR})"

cd ${WORKDIR}
source ${WORKDIR}/.env
source /usr/local/rvm/scripts/rvm
rvm use 2.5.1

RAILS_ENV=${RAILS_ENV} WEB_CONCURRENCY=${WEB_CONCURRENCY} TELEGRAM_FEDERAL_CHAT="${TELEGRAM_FEDERAL_CHAT}" TELEGRAM_TOKEN="${TELEGRAM_TOKEN}" TRELLO_DEVELOPER_PUBLIC_KEY="${TRELLO_DEVELOPER_PUBLIC_KEY}" TRELLO_MEMBER_TOKEN="${TRELLO_MEMBER_TOKEN}" TRELLO_FEDERAL_LIST="${TRELLO_FEDERAL_LIST}" bundle exec rails s -e production 2>&1
